### Function

# PangoOT Buffer new

since: 1.4

#### Declaration [src]

    PangoOTBuffer*
    pango_ot_buffer_new (
      PangoFcFont* font
    )

#### Description [src]

Creates a new `PangoOTBuffer` for the given OpenType font.

Available since: 1.4

#### Parameters

`font`

  Type: `PangoFcFont`

  A `PangoFcFont`.

  The data is owned by the caller of the function.

#### Return value

Type: `PangoOTBuffer`

The newly allocated `PangoOTBuffer`, which should be freed with `pango_ot_buffer_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.